org.apache.olingo.commons.api.edm.provider

## Class CsdlSchema

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlSchema

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlSchema
      extends CsdlAbstractEdmItem
      implements CsdlAnnotatable

  The type Csdl schema.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlSchema()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAction>` | `getActions()` Gets actions.
    `List<CsdlAction>` | `getActions(String name)` All actions with the given name
    `String` | `getAlias()` Gets alias.
    `CsdlAnnotation` | `getAnnotation(String term)` Gets annotation.
    `CsdlAnnotations` | `getAnnotationGroup(String target, String qualifier)` Gets annotation group.
    `List<CsdlAnnotations>` | `getAnnotationGroups()` Gets annotation groups.
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `CsdlComplexType` | `getComplexType(String name)` Gets complex type.
    `List<CsdlComplexType>` | `getComplexTypes()` Gets complex types.
    `CsdlEntityContainer` | `getEntityContainer()` Gets entity container.
    `CsdlEntityType` | `getEntityType(String name)` Gets entity type.
    `List<CsdlEntityType>` | `getEntityTypes()` Gets entity types.
    `CsdlEnumType` | `getEnumType(String name)` Gets enum type.
    `List<CsdlEnumType>` | `getEnumTypes()` Gets enum types.
    `List<CsdlFunction>` | `getFunctions()` Gets functions.
    `List<CsdlFunction>` | `getFunctions(String name)` All functions with the given name
    `String` | `getNamespace()` Gets namespace.
    `CsdlTerm` | `getTerm(String name)` Gets term.
    `List<CsdlTerm>` | `getTerms()` Gets terms.
    `CsdlTypeDefinition` | `getTypeDefinition(String name)` Gets type definition.
    `List<CsdlTypeDefinition>` | `getTypeDefinitions()` Gets type definitions.
    `CsdlSchema` | `setActions(List<CsdlAction> actions)` Sets actions.
    `CsdlSchema` | `setAlias(String alias)` Sets alias.
    `CsdlSchema` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlSchema` | `setAnnotationsGroup(List<CsdlAnnotations> annotationGroups)` Sets a list of annotations
    `CsdlSchema` | `setComplexTypes(List<CsdlComplexType> complexTypes)` Sets complex types.
    `CsdlSchema` | `setEntityContainer(CsdlEntityContainer entityContainer)` Sets entity container.
    `CsdlSchema` | `setEntityTypes(List<CsdlEntityType> entityTypes)` Sets entity types.
    `CsdlSchema` | `setEnumTypes(List<CsdlEnumType> enumTypes)` Sets enum types.
    `CsdlSchema` | `setFunctions(List<CsdlFunction> functions)` Sets functions.
    `CsdlSchema` | `setNamespace(String namespace)` Sets namespace.
    `CsdlSchema` | `setTerms(List<CsdlTerm> terms)` Sets terms.
    `CsdlSchema` | `setTypeDefinitions(List<CsdlTypeDefinition> typeDefinitions)` Sets type definitions.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlSchema

          public CsdlSchema()

  - ### Method Detail

    - #### getNamespace

          public String getNamespace()

      Gets namespace.
      Returns:
        the namespace

    - #### setNamespace

          public CsdlSchema setNamespace(String namespace)

      Sets namespace.
      Parameters:
        `namespace` - the namespace
      Returns:
        the namespace

    - #### getAlias

          public String getAlias()

      Gets alias.
      Returns:
        the alias

    - #### setAlias

          public CsdlSchema setAlias(String alias)

      Sets alias.
      Parameters:
        `alias` - the alias
      Returns:
        the alias

    - #### getEnumTypes

          public List<CsdlEnumType> getEnumTypes()

      Gets enum types.
      Returns:
        the enum types

    - #### getEnumType

          public CsdlEnumType getEnumType(String name)

      Gets enum type.
      Parameters:
        `name` - the name
      Returns:
        the enum type

    - #### setEnumTypes

          public CsdlSchema setEnumTypes(List<CsdlEnumType> enumTypes)

      Sets enum types.
      Parameters:
        `enumTypes` - the enum types
      Returns:
        the enum types

    - #### getTypeDefinitions

          public List<CsdlTypeDefinition> getTypeDefinitions()

      Gets type definitions.
      Returns:
        the type definitions

    - #### getTypeDefinition

          public CsdlTypeDefinition getTypeDefinition(String name)

      Gets type definition.
      Parameters:
        `name` - the name
      Returns:
        the type definition

    - #### setTypeDefinitions

          public CsdlSchema setTypeDefinitions(List<CsdlTypeDefinition> typeDefinitions)

      Sets type definitions.
      Parameters:
        `typeDefinitions` - the type definitions
      Returns:
        the type definitions

    - #### getEntityTypes

          public List<CsdlEntityType> getEntityTypes()

      Gets entity types.
      Returns:
        the entity types

    - #### getEntityType

          public CsdlEntityType getEntityType(String name)

      Gets entity type.
      Parameters:
        `name` - the name
      Returns:
        the entity type

    - #### setEntityTypes

          public CsdlSchema setEntityTypes(List<CsdlEntityType> entityTypes)

      Sets entity types.
      Parameters:
        `entityTypes` - the entity types
      Returns:
        the entity types

    - #### getComplexTypes

          public List<CsdlComplexType> getComplexTypes()

      Gets complex types.
      Returns:
        the complex types

    - #### getComplexType

          public CsdlComplexType getComplexType(String name)

      Gets complex type.
      Parameters:
        `name` - the name
      Returns:
        the complex type

    - #### setComplexTypes

          public CsdlSchema setComplexTypes(List<CsdlComplexType> complexTypes)

      Sets complex types.
      Parameters:
        `complexTypes` - the complex types
      Returns:
        the complex types

    - #### getActions

          public List<CsdlAction> getActions()

      Gets actions.
      Returns:
        the actions

    - #### getActions

          public List<CsdlAction> getActions(String name)

      All actions with the given name
      Parameters:
        `name` - the name
      Returns:
        a list of actions

    - #### setActions

          public CsdlSchema setActions(List<CsdlAction> actions)

      Sets actions.
      Parameters:
        `actions` - the actions
      Returns:
        the actions

    - #### getFunctions

          public List<CsdlFunction> getFunctions()

      Gets functions.
      Returns:
        the functions

    - #### getFunctions

          public List<CsdlFunction> getFunctions(String name)

      All functions with the given name
      Parameters:
        `name` - the name
      Returns:
        a list of functions

    - #### setFunctions

          public CsdlSchema setFunctions(List<CsdlFunction> functions)

      Sets functions.
      Parameters:
        `functions` - the functions
      Returns:
        the functions

    - #### getEntityContainer

          public CsdlEntityContainer getEntityContainer()

      Gets entity container.
      Returns:
        the entity container

    - #### setEntityContainer

          public CsdlSchema setEntityContainer(CsdlEntityContainer entityContainer)

      Sets entity container.
      Parameters:
        `entityContainer` - the entity container
      Returns:
        the entity container

    - #### getTerms

          public List<CsdlTerm> getTerms()

      Gets terms.
      Returns:
        the terms

    - #### getTerm

          public CsdlTerm getTerm(String name)

      Gets term.
      Parameters:
        `name` - the name
      Returns:
        the term

    - #### setTerms

          public CsdlSchema setTerms(List<CsdlTerm> terms)

      Sets terms.
      Parameters:
        `terms` - the terms
      Returns:
        the terms

    - #### getAnnotationGroups

          public List<CsdlAnnotations> getAnnotationGroups()

      Gets annotation groups.
      Returns:
        the annotation groups

    - #### setAnnotationsGroup

          public CsdlSchema setAnnotationsGroup(List<CsdlAnnotations> annotationGroups)

      Sets a list of annotations
      Parameters:
        `annotationGroups` - list of annotations
      Returns:
        this instance

    - #### getAnnotationGroup

          public CsdlAnnotations getAnnotationGroup(String target,
                                                    String qualifier)

      Gets annotation group.
      Parameters:
        `target` - the target
      Returns:
        the annotation group

    - #### getAnnotation

          public CsdlAnnotation getAnnotation(String term)

      Gets annotation.
      Parameters:
        `term` - the term
      Returns:
        the annotation

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlSchema setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.